=== node_modules/typecast/Makefile ===
test:
	@./node_modules/.bin/mocha \
		--reporter spec \
		--bail

.PHONY: test
