=== debian/changelog ===
juice-shop (14.5.1+node18-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:53:48 +0200

juice-shop (14.5.1+node18-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse, Security-Contact.
  * Update standards version to 4.6.1, no changes needed.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Update d/watch file for github page changes.

  [ Sophie Brun ]
  * Fix debian/watch to download the correct file
  * New upstream version 14.5.1+node18
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 Mar 2023 14:13:32 +0200

juice-shop (14.2.0+node18-0kali3) kali-dev; urgency=medium

  * Fix override_dh_gencontrol in debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Sep 2022 10:31:38 +0200

juice-shop (14.2.0+node18-0kali2) kali-dev; urgency=medium

  * Add missing dep lsof

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 Aug 2022 15:52:59 +0200

juice-shop (14.2.0+node18-0kali1) kali-dev; urgency=medium

  * Update debian/watch for new nodejs in Debian (version 18)
  * New upstream version 14.2.0+node18
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 Aug 2022 08:18:34 +0200

juice-shop (14.0.0+node16-0kali1) kali-dev; urgency=medium

  * Keep "systemctl --no-pager -l status juice-shop" in helper-script
  * Adapt for new nodejs (version 16)
  * New upstream version 14.0.0+node16

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 May 2022 11:04:45 +0200

juice-shop (14.0.0-0kali1) kali-dev; urgency=medium

  * Update debian/watch for new nodejs in kali
  * New upstream version 14.0.0
  * Ensure that we have the same version of nodejs in juice and Kali
  * Refresh patches
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 May 2022 13:36:09 +0200

juice-shop (13.2.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Feb 2022 18:18:30 +0100
