=== debian/control ===
Source: juice-shop
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), nodejs
Standards-Version: 4.6.2
Homepage: https://github.com/juice-shop/juice-shop
Rules-Requires-Root: no

Package: juice-shop
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, npm, ${node:Depends}, lsof
Description: insecure web application
 This package contains a modern and sophisticated insecure web application! It
 can be used in security trainings, awareness demos, CTFs and as a guinea pig
 for security tools! Juice Shop encompasses vulnerabilities from the entire
 OWASP Top Ten along with many other security flaws found in real-world
 applications!
 .
 WARNING: Do not upload it to your hosting provider's public html folder or any
 Internet facing servers, as they will be compromised.
