=== debian/watch ===
version=4
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2_node18_linux_x64.tgz#, \
    uversionmangle=s#v?@ANY_VERSION@#$1+node18#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/juice-shop/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@
