## juice-shop 16.0.1

=== debian/changelog ===
juice-shop (16.0.1-0kali6) kali-dev; urgency=medium

  * Do not build on armhf
  * Build only for amd64
  * Add a strong dep on the libnode version used for the build

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jul 2024 17:08:55 +0200

juice-shop (16.0.1-0kali5) kali-experimental; urgency=medium

  * Override dh_shlibdeps

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 Jun 2024 15:19:17 +0200

juice-shop (16.0.1-0kali4) kali-experimental; urgency=medium

  * Add a fix for arm*

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Jun 2024 11:31:15 +0200

juice-shop (16.0.1-0kali3) kali-experimental; urgency=medium

  * Fix build on arm*

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 30 May 2024 16:07:53 +0200

juice-shop (16.0.1-0kali2) kali-experimental; urgency=medium

  * Add other arch (arm64, armhf)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 May 2024 16:58:31 +0200

juice-shop (16.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 16.0.1
  * Adapt debian/* to build from source

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 May 2024 19:07:05 +0200

juice-shop (15.2.1+node18-0kali3) kali-dev; urgency=medium

  * Remove pycache directory

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Oct 2023 16:22:36 +0200

juice-shop (15.2.1+node18-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable non-amd64 builds.
  * Add adduser dependency
  * Add missing dependency and wrap-and-sort
  * Add lintian overrides.
  * Update changelog for 14.5.1+node18-0kali2 release

  [ Sophie Brun ]
  * Prepare for Release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Oct 2023 17:35:43 +0200

juice-shop (15.2.1+node18-0kali1) kali-dev; urgency=medium

  * New upstream version 15.2.1+node18
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Oct 2023 16:05:05 +0200

juice-shop (14.5.1+node18-0kali2) kali-dev; urgency=medium

  * ci: Disable non-amd64 builds.
  * Add adduser dependency
  * Add missing dependency and wrap-and-sort
  * Add lintian overrides.

 -- Steev Klimaszewski <steev@kali.org>  Mon, 02 Oct 2023 12:57:45 -0500
