=== debian/control ===
Source: juice-shop
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
Build-Depends:
 debhelper-compat (= 13),
 git,
 nodejs,
 npm
Standards-Version: 4.6.2
Homepage: https://github.com/juice-shop/juice-shop
Vcs-Browser: https://gitlab.com/kalilinux/packages/juice-shop
Vcs-Git: https://gitlab.com/kalilinux/packages/juice-shop.git
Rules-Requires-Root: no

Package: juice-shop
Architecture: amd64
Depends:
 adduser,
 lsof,
 npm,
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
 ${node:Depends},
Description: insecure web application
 This package contains a modern and sophisticated insecure web application! It
 can be used in security trainings, awareness demos, CTFs and as a guinea pig
 for security tools! Juice Shop encompasses vulnerabilities from the entire
 OWASP Top Ten along with many other security flaws found in real-world
 applications!
 .
 WARNING: Do not upload it to your hosting provider's public html folder or any
 Internet facing servers, as they will be compromised.
