=== debian/watch ===
version=4
opts="\
    compression=xz, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/juice-shop/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@
